nxt.http

## Enum APIEnum

- java.lang.Object
- - java.lang.Enum<APIEnum>
  - - nxt.http.APIEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<APIEnum>

      public enum APIEnum
      extends java.lang.Enum<APIEnum>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADD_BUNDLING_RULE`
    `ADD_PEER`
    `APPROVE_TRANSACTION`
    `BLACKLIST_API_PROXY_PEER`
    `BLACKLIST_BUNDLER`
    `BLACKLIST_PEER`
    `BROADCAST_TRANSACTION`
    `BUNDLE_TRANSACTIONS`
    `BUY_ALIAS`
    `CALCULATE_FEE`
    `CALCULATE_FULL_HASH`
    `CAN_DELETE_CURRENCY`
    `CANCEL_ASK_ORDER`
    `CANCEL_BID_ORDER`
    `CANCEL_COIN_EXCHANGE`
    `CAST_VOTE`
    `CLEAR_UNCONFIRMED_TRANSACTIONS`
    `COMBINE_SECRET`
    `CREATE_POLL`
    `CURRENCY_BUY`
    `CURRENCY_MINT`
    `CURRENCY_RESERVE_CLAIM`
    `CURRENCY_RESERVE_INCREASE`
    `CURRENCY_SELL`
    `DECODE_FILE_TOKEN`
    `DECODE_Q_R_CODE`
    `DECODE_TOKEN`
    `DECRYPT_FROM`
    `DELETE_ACCOUNT_PROPERTY`
    `DELETE_ALIAS`
    `DELETE_ASSET_PROPERTY`
    `DELETE_ASSET_SHARES`
    `DELETE_CONTRACT_REFERENCE`
    `DELETE_CURRENCY`
    `DETECT_MIME_TYPE`
    `DGS_DELISTING`
    `DGS_DELIVERY`
    `DGS_FEEDBACK`
    `DGS_LISTING`
    `DGS_PRICE_CHANGE`
    `DGS_PURCHASE`
    `DGS_QUANTITY_CHANGE`
    `DGS_REFUND`
    `DIVIDEND_PAYMENT`
    `DOWNLOAD_PRUNABLE_MESSAGE`
    `DOWNLOAD_TAGGED_DATA`
    `DUMP_PEERS`
    `ENCODE_Q_R_CODE`
    `ENCRYPT_TO`
    `EVALUATE_EXPRESSION`
    `EVENT_REGISTER`
    `EVENT_WAIT`
    `EXCHANGE_COINS`
    `FULL_HASH_TO_ID`
    `FULL_RESET`
    `GENERATE_FILE_TOKEN`
    `GENERATE_TOKEN`
    `GET_ACCOUNT`
    `GET_ACCOUNT_ASSET_COUNT`
    `GET_ACCOUNT_ASSETS`
    `GET_ACCOUNT_BLOCK_COUNT`
    `GET_ACCOUNT_BLOCK_IDS`
    `GET_ACCOUNT_BLOCKS`
    `GET_ACCOUNT_CURRENCIES`
    `GET_ACCOUNT_CURRENCY_COUNT`
    `GET_ACCOUNT_CURRENT_ASK_ORDER_IDS`
    `GET_ACCOUNT_CURRENT_ASK_ORDERS`
    `GET_ACCOUNT_CURRENT_BID_ORDER_IDS`
    `GET_ACCOUNT_CURRENT_BID_ORDERS`
    `GET_ACCOUNT_EXCHANGE_REQUESTS`
    `GET_ACCOUNT_ID`
    `GET_ACCOUNT_LEDGER`
    `GET_ACCOUNT_LEDGER_ENTRY`
    `GET_ACCOUNT_LESSORS`
    `GET_ACCOUNT_PHASED_TRANSACTION_COUNT`
    `GET_ACCOUNT_PHASED_TRANSACTIONS`
    `GET_ACCOUNT_PROPERTIES`
    `GET_ACCOUNT_PUBLIC_KEY`
    `GET_ACCOUNT_SHUFFLINGS`
    `GET_ACCOUNT_TAGGED_DATA`
    `GET_ALIAS`
    `GET_ALIAS_COUNT`
    `GET_ALIASES`
    `GET_ALIASES_LIKE`
    `GET_ALL_ASSETS`
    `GET_ALL_BROADCASTED_TRANSACTIONS`
    `GET_ALL_BUNDLER_RATES`
    `GET_ALL_CURRENCIES`
    `GET_ALL_EXCHANGES`
    `GET_ALL_OPEN_ASK_ORDERS`
    `GET_ALL_OPEN_BID_ORDERS`
    `GET_ALL_PHASING_ONLY_CONTROLS`
    `GET_ALL_PRUNABLE_MESSAGES`
    `GET_ALL_SHUFFLINGS`
    `GET_ALL_TAGGED_DATA`
    `GET_ALL_TRADES`
    `GET_ALL_WAITING_TRANSACTIONS`
    `GET_ASK_ORDER`
    `GET_ASK_ORDER_IDS`
    `GET_ASK_ORDERS`
    `GET_ASSET`
    `GET_ASSET_ACCOUNT_COUNT`
    `GET_ASSET_ACCOUNTS`
    `GET_ASSET_DIVIDENDS`
    `GET_ASSET_HISTORY`
    `GET_ASSET_IDS`
    `GET_ASSET_PHASED_TRANSACTIONS`
    `GET_ASSET_PROPERTIES`
    `GET_ASSET_TRANSFERS`
    `GET_ASSETS`
    `GET_ASSETS_BY_ISSUER`
    `GET_ASSIGNED_SHUFFLINGS`
    `GET_AVAILABLE_TO_BUY`
    `GET_AVAILABLE_TO_SELL`
    `GET_BALANCE`
    `GET_BALANCES`
    `GET_BID_ORDER`
    `GET_BID_ORDER_IDS`
    `GET_BID_ORDERS`
    `GET_BLOCK`
    `GET_BLOCK_ID`
    `GET_BLOCKCHAIN_STATUS`
    `GET_BLOCKCHAIN_TRANSACTIONS`
    `GET_BLOCKS`
    `GET_BUNDLER_RATES`
    `GET_BUNDLERS`
    `GET_BUNDLING_OPTIONS`
    `GET_BUY_OFFERS`
    `GET_CHANNEL_TAGGED_DATA`
    `GET_COIN_EXCHANGE_ORDER`
    `GET_COIN_EXCHANGE_ORDER_IDS`
    `GET_COIN_EXCHANGE_ORDERS`
    `GET_COIN_EXCHANGE_TRADE`
    `GET_COIN_EXCHANGE_TRADES`
    `GET_CONSTANTS`
    `GET_CONTRACT_REFERENCES`
    `GET_CURRENCIES`
    `GET_CURRENCIES_BY_ISSUER`
    `GET_CURRENCY`
    `GET_CURRENCY_ACCOUNT_COUNT`
    `GET_CURRENCY_ACCOUNTS`
    `GET_CURRENCY_FOUNDERS`
    `GET_CURRENCY_IDS`
    `GET_CURRENCY_PHASED_TRANSACTIONS`
    `GET_CURRENCY_TRANSFERS`
    `GET_DATA_TAG_COUNT`
    `GET_DATA_TAGS`
    `GET_DATA_TAGS_LIKE`
    `GET_DGS_EXPIRED_PURCHASES`
    `GET_DGS_GOOD`
    `GET_DGS_GOODS`
    `GET_DGS_GOODS_COUNT`
    `GET_DGS_GOODS_PURCHASE_COUNT`
    `GET_DGS_GOODS_PURCHASES`
    `GET_DGS_PENDING_PURCHASES`
    `GET_DGS_PURCHASE`
    `GET_DGS_PURCHASE_COUNT`
    `GET_DGS_PURCHASES`
    `GET_DGS_TAG_COUNT`
    `GET_DGS_TAGS`
    `GET_DGS_TAGS_LIKE`
    `GET_E_C_BLOCK`
    `GET_EFFECTIVE_BALANCE`
    `GET_EXCHANGES`
    `GET_EXCHANGES_BY_EXCHANGE_REQUEST`
    `GET_EXCHANGES_BY_OFFER`
    `GET_EXECUTED_TRANSACTIONS`
    `GET_EXPECTED_ASK_ORDERS`
    `GET_EXPECTED_ASSET_DELETES`
    `GET_EXPECTED_ASSET_TRANSFERS`
    `GET_EXPECTED_BID_ORDERS`
    `GET_EXPECTED_BUY_OFFERS`
    `GET_EXPECTED_COIN_EXCHANGE_ORDER_CANCELLATIONS`
    `GET_EXPECTED_COIN_EXCHANGE_ORDERS`
    `GET_EXPECTED_CURRENCY_TRANSFERS`
    `GET_EXPECTED_EXCHANGE_REQUESTS`
    `GET_EXPECTED_ORDER_CANCELLATIONS`
    `GET_EXPECTED_SELL_OFFERS`
    `GET_EXPECTED_TRANSACTIONS`
    `GET_FORGING`
    `GET_FUNDING_MONITOR`
    `GET_FXT_TRANSACTION`
    `GET_GUARANTEED_BALANCE`
    `GET_HASHED_SECRET_PHASED_TRANSACTIONS`
    `GET_HOLDING_SHUFFLINGS`
    `GET_LAST_EXCHANGES`
    `GET_LAST_TRADES`
    `GET_LINKED_PHASED_TRANSACTIONS`
    `GET_LOG`
    `GET_MINTING_TARGET`
    `GET_MY_INFO`
    `GET_NEXT_BLOCK_GENERATORS`
    `GET_OFFER`
    `GET_ORDER_TRADES`
    `GET_PEER`
    `GET_PEERS`
    `GET_PHASING_ASSET_CONTROL`
    `GET_PHASING_ONLY_CONTROL`
    `GET_PHASING_POLL`
    `GET_PHASING_POLL_VOTE`
    `GET_PHASING_POLL_VOTES`
    `GET_PLUGINS`
    `GET_POLL`
    `GET_POLL_RESULT`
    `GET_POLL_VOTE`
    `GET_POLL_VOTES`
    `GET_POLLS`
    `GET_PRUNABLE_MESSAGE`
    `GET_PRUNABLE_MESSAGES`
    `GET_REFERENCING_TRANSACTIONS`
    `GET_SELL_OFFERS`
    `GET_SHARED_KEY`
    `GET_SHUFFLERS`
    `GET_SHUFFLING`
    `GET_SHUFFLING_PARTICIPANTS`
    `GET_STACK_TRACES`
    `GET_STATE`
    `GET_TAGGED_DATA`
    `GET_TIME`
    `GET_TRADES`
    `GET_TRANSACTION`
    `GET_TRANSACTION_BYTES`
    `GET_UNCONFIRMED_TRANSACTION_IDS`
    `GET_UNCONFIRMED_TRANSACTIONS`
    `GET_VOTER_PHASED_TRANSACTIONS`
    `HASH`
    `HEX_CONVERT`
    `INCREASE_ASSET_SHARES`
    `ISSUE_ASSET`
    `ISSUE_CURRENCY`
    `LEASE_BALANCE`
    `LONG_CONVERT`
    `LUCENE_REINDEX`
    `MANAGE_PEERS_NETWORKING`
    `PARSE_PHASING_PARAMS`
    `PARSE_TRANSACTION`
    `PLACE_ASK_ORDER`
    `PLACE_BID_ORDER`
    `POP_OFF`
    `PROCESS_VOUCHER`
    `PUBLISH_EXCHANGE_OFFER`
    `READ_MESSAGE`
    `REBROADCAST_UNCONFIRMED_TRANSACTIONS`
    `REQUEUE_UNCONFIRMED_TRANSACTIONS`
    `RETRIEVE_PRUNED_DATA`
    `RETRIEVE_PRUNED_TRANSACTION`
    `RS_CONVERT`
    `SCAN`
    `SEARCH_ACCOUNTS`
    `SEARCH_ASSETS`
    `SEARCH_CURRENCIES`
    `SEARCH_DGS_GOODS`
    `SEARCH_POLLS`
    `SEARCH_TAGGED_DATA`
    `SELL_ALIAS`
    `SEND_MESSAGE`
    `SEND_MONEY`
    `SEND_TRANSACTION`
    `SET_ACCOUNT_INFO`
    `SET_ACCOUNT_PROPERTY`
    `SET_ALIAS`
    `SET_API_PROXY_PEER`
    `SET_ASSET_PROPERTY`
    `SET_CONTRACT_REFERENCE`
    `SET_LOGGING`
    `SET_PHASING_ASSET_CONTROL`
    `SET_PHASING_ONLY_CONTROL`
    `SHUFFLING_CANCEL`
    `SHUFFLING_CREATE`
    `SHUFFLING_PROCESS`
    `SHUFFLING_REGISTER`
    `SHUFFLING_VERIFY`
    `SHUTDOWN`
    `SIGN_TRANSACTION`
    `SIMULATE_COIN_EXCHANGE`
    `SPLIT_SECRET`
    `START_BUNDLER`
    `START_FORGING`
    `START_FUNDING_MONITOR`
    `START_SHUFFLER`
    `STOP_BUNDLER`
    `STOP_FORGING`
    `STOP_FUNDING_MONITOR`
    `STOP_SHUFFLER`
    `TRANSFER_ASSET`
    `TRANSFER_CURRENCY`
    `TRIM_DERIVED_TABLES`
    `UPLOAD_TAGGED_DATA`
    `VERIFY_PRUNABLE_MESSAGE`
    `VERIFY_TAGGED_DATA`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.EnumSet<APIEnum>` | `base64StringToEnumSet(java.lang.String apiSetBase64)`
    `static java.lang.String` | `enumSetToBase64String(java.util.EnumSet<APIEnum> apiSet)`
    `static APIEnum` | `fromName(java.lang.String name)`
    `APIServlet.APIRequestHandler` | `getHandler()`
    `java.lang.String` | `getName()`
    `static APIEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static APIEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPROVE_TRANSACTION

          public static final APIEnum APPROVE_TRANSACTION

    - #### BROADCAST_TRANSACTION

          public static final APIEnum BROADCAST_TRANSACTION

    - #### CALCULATE_FULL_HASH

          public static final APIEnum CALCULATE_FULL_HASH

    - #### CANCEL_ASK_ORDER

          public static final APIEnum CANCEL_ASK_ORDER

    - #### CANCEL_BID_ORDER

          public static final APIEnum CANCEL_BID_ORDER

    - #### CAST_VOTE

          public static final APIEnum CAST_VOTE

    - #### CREATE_POLL

          public static final APIEnum CREATE_POLL

    - #### CURRENCY_BUY

          public static final APIEnum CURRENCY_BUY

    - #### CURRENCY_SELL

          public static final APIEnum CURRENCY_SELL

    - #### CURRENCY_RESERVE_INCREASE

          public static final APIEnum CURRENCY_RESERVE_INCREASE

    - #### CURRENCY_RESERVE_CLAIM

          public static final APIEnum CURRENCY_RESERVE_CLAIM

    - #### CURRENCY_MINT

          public static final APIEnum CURRENCY_MINT

    - #### DECRYPT_FROM

          public static final APIEnum DECRYPT_FROM

    - #### DELETE_ASSET_SHARES

          public static final APIEnum DELETE_ASSET_SHARES

    - #### DGS_LISTING

          public static final APIEnum DGS_LISTING

    - #### DGS_DELISTING

          public static final APIEnum DGS_DELISTING

    - #### DGS_DELIVERY

          public static final APIEnum DGS_DELIVERY

    - #### DGS_FEEDBACK

          public static final APIEnum DGS_FEEDBACK

    - #### DGS_PRICE_CHANGE

          public static final APIEnum DGS_PRICE_CHANGE

    - #### DGS_PURCHASE

          public static final APIEnum DGS_PURCHASE

    - #### DGS_QUANTITY_CHANGE

          public static final APIEnum DGS_QUANTITY_CHANGE

    - #### DGS_REFUND

          public static final APIEnum DGS_REFUND

    - #### DECODE_TOKEN

          public static final APIEnum DECODE_TOKEN

    - #### DECODE_FILE_TOKEN

          public static final APIEnum DECODE_FILE_TOKEN

    - #### DECODE_Q_R_CODE

          public static final APIEnum DECODE_Q_R_CODE

    - #### ENCODE_Q_R_CODE

          public static final APIEnum ENCODE_Q_R_CODE

    - #### ENCRYPT_TO

          public static final APIEnum ENCRYPT_TO

    - #### EVENT_REGISTER

          public static final APIEnum EVENT_REGISTER

    - #### EVENT_WAIT

          public static final APIEnum EVENT_WAIT

    - #### GENERATE_TOKEN

          public static final APIEnum GENERATE_TOKEN

    - #### GENERATE_FILE_TOKEN

          public static final APIEnum GENERATE_FILE_TOKEN

    - #### GET_ACCOUNT

          public static final APIEnum GET_ACCOUNT

    - #### GET_ACCOUNT_BLOCK_COUNT

          public static final APIEnum GET_ACCOUNT_BLOCK_COUNT

    - #### GET_ACCOUNT_BLOCK_IDS

          public static final APIEnum GET_ACCOUNT_BLOCK_IDS

    - #### GET_ACCOUNT_BLOCKS

          public static final APIEnum GET_ACCOUNT_BLOCKS

    - #### GET_ACCOUNT_ID

          public static final APIEnum GET_ACCOUNT_ID

    - #### GET_ACCOUNT_LEDGER

          public static final APIEnum GET_ACCOUNT_LEDGER

    - #### GET_ACCOUNT_LEDGER_ENTRY

          public static final APIEnum GET_ACCOUNT_LEDGER_ENTRY

    - #### GET_VOTER_PHASED_TRANSACTIONS

          public static final APIEnum GET_VOTER_PHASED_TRANSACTIONS

    - #### GET_LINKED_PHASED_TRANSACTIONS

          public static final APIEnum GET_LINKED_PHASED_TRANSACTIONS

    - #### GET_POLLS

          public static final APIEnum GET_POLLS

    - #### GET_ACCOUNT_PHASED_TRANSACTIONS

          public static final APIEnum GET_ACCOUNT_PHASED_TRANSACTIONS

    - #### GET_ACCOUNT_PHASED_TRANSACTION_COUNT

          public static final APIEnum GET_ACCOUNT_PHASED_TRANSACTION_COUNT

    - #### GET_ACCOUNT_PUBLIC_KEY

          public static final APIEnum GET_ACCOUNT_PUBLIC_KEY

    - #### GET_ACCOUNT_LESSORS

          public static final APIEnum GET_ACCOUNT_LESSORS

    - #### GET_ACCOUNT_ASSETS

          public static final APIEnum GET_ACCOUNT_ASSETS

    - #### GET_ACCOUNT_CURRENCIES

          public static final APIEnum GET_ACCOUNT_CURRENCIES

    - #### GET_ACCOUNT_CURRENCY_COUNT

          public static final APIEnum GET_ACCOUNT_CURRENCY_COUNT

    - #### GET_ACCOUNT_ASSET_COUNT

          public static final APIEnum GET_ACCOUNT_ASSET_COUNT

    - #### GET_ACCOUNT_PROPERTIES

          public static final APIEnum GET_ACCOUNT_PROPERTIES

    - #### SELL_ALIAS

          public static final APIEnum SELL_ALIAS

    - #### BUY_ALIAS

          public static final APIEnum BUY_ALIAS

    - #### GET_ALIAS

          public static final APIEnum GET_ALIAS

    - #### GET_ALIAS_COUNT

          public static final APIEnum GET_ALIAS_COUNT

    - #### GET_ALIASES

          public static final APIEnum GET_ALIASES

    - #### GET_ALIASES_LIKE

          public static final APIEnum GET_ALIASES_LIKE

    - #### GET_ALL_ASSETS

          public static final APIEnum GET_ALL_ASSETS

    - #### GET_ALL_CURRENCIES

          public static final APIEnum GET_ALL_CURRENCIES

    - #### GET_ASSET

          public static final APIEnum GET_ASSET

    - #### GET_ASSETS

          public static final APIEnum GET_ASSETS

    - #### GET_ASSET_IDS

          public static final APIEnum GET_ASSET_IDS

    - #### GET_ASSETS_BY_ISSUER

          public static final APIEnum GET_ASSETS_BY_ISSUER

    - #### GET_ASSET_ACCOUNTS

          public static final APIEnum GET_ASSET_ACCOUNTS

    - #### GET_ASSET_ACCOUNT_COUNT

          public static final APIEnum GET_ASSET_ACCOUNT_COUNT

    - #### GET_ASSET_PHASED_TRANSACTIONS

          public static final APIEnum GET_ASSET_PHASED_TRANSACTIONS

    - #### GET_BALANCE

          public static final APIEnum GET_BALANCE

    - #### GET_BLOCK

          public static final APIEnum GET_BLOCK

    - #### GET_BLOCK_ID

          public static final APIEnum GET_BLOCK_ID

    - #### GET_BLOCKS

          public static final APIEnum GET_BLOCKS

    - #### GET_BLOCKCHAIN_STATUS

          public static final APIEnum GET_BLOCKCHAIN_STATUS

    - #### GET_BLOCKCHAIN_TRANSACTIONS

          public static final APIEnum GET_BLOCKCHAIN_TRANSACTIONS

    - #### GET_REFERENCING_TRANSACTIONS

          public static final APIEnum GET_REFERENCING_TRANSACTIONS

    - #### GET_CONSTANTS

          public static final APIEnum GET_CONSTANTS

    - #### GET_CURRENCY

          public static final APIEnum GET_CURRENCY

    - #### GET_CURRENCIES

          public static final APIEnum GET_CURRENCIES

    - #### GET_CURRENCY_FOUNDERS

          public static final APIEnum GET_CURRENCY_FOUNDERS

    - #### GET_CURRENCY_IDS

          public static final APIEnum GET_CURRENCY_IDS

    - #### GET_CURRENCIES_BY_ISSUER

          public static final APIEnum GET_CURRENCIES_BY_ISSUER

    - #### GET_CURRENCY_ACCOUNTS

          public static final APIEnum GET_CURRENCY_ACCOUNTS

    - #### GET_CURRENCY_ACCOUNT_COUNT

          public static final APIEnum GET_CURRENCY_ACCOUNT_COUNT

    - #### GET_CURRENCY_PHASED_TRANSACTIONS

          public static final APIEnum GET_CURRENCY_PHASED_TRANSACTIONS

    - #### GET_DGS_GOODS

          public static final APIEnum GET_DGS_GOODS

    - #### GET_DGS_GOODS_COUNT

          public static final APIEnum GET_DGS_GOODS_COUNT

    - #### GET_DGS_GOOD

          public static final APIEnum GET_DGS_GOOD

    - #### GET_DGS_GOODS_PURCHASES

          public static final APIEnum GET_DGS_GOODS_PURCHASES

    - #### GET_DGS_GOODS_PURCHASE_COUNT

          public static final APIEnum GET_DGS_GOODS_PURCHASE_COUNT

    - #### GET_DGS_PURCHASES

          public static final APIEnum GET_DGS_PURCHASES

    - #### GET_DGS_PURCHASE

          public static final APIEnum GET_DGS_PURCHASE

    - #### GET_DGS_PURCHASE_COUNT

          public static final APIEnum GET_DGS_PURCHASE_COUNT

    - #### GET_DGS_PENDING_PURCHASES

          public static final APIEnum GET_DGS_PENDING_PURCHASES

    - #### GET_DGS_EXPIRED_PURCHASES

          public static final APIEnum GET_DGS_EXPIRED_PURCHASES

    - #### GET_DGS_TAGS

          public static final APIEnum GET_DGS_TAGS

    - #### GET_DGS_TAG_COUNT

          public static final APIEnum GET_DGS_TAG_COUNT

    - #### GET_DGS_TAGS_LIKE

          public static final APIEnum GET_DGS_TAGS_LIKE

    - #### GET_GUARANTEED_BALANCE

          public static final APIEnum GET_GUARANTEED_BALANCE

    - #### GET_E_C_BLOCK

          public static final APIEnum GET_E_C_BLOCK

    - #### GET_PLUGINS

          public static final APIEnum GET_PLUGINS

    - #### GET_MY_INFO

          public static final APIEnum GET_MY_INFO

    - #### GET_PEER

          public static final APIEnum GET_PEER

    - #### GET_PEERS

          public static final APIEnum GET_PEERS

    - #### GET_PHASING_POLL

          public static final APIEnum GET_PHASING_POLL

    - #### GET_PHASING_POLL_VOTES

          public static final APIEnum GET_PHASING_POLL_VOTES

    - #### GET_PHASING_POLL_VOTE

          public static final APIEnum GET_PHASING_POLL_VOTE

    - #### GET_POLL

          public static final APIEnum GET_POLL

    - #### GET_POLL_RESULT

          public static final APIEnum GET_POLL_RESULT

    - #### GET_POLL_VOTES

          public static final APIEnum GET_POLL_VOTES

    - #### GET_POLL_VOTE

          public static final APIEnum GET_POLL_VOTE

    - #### GET_STATE

          public static final APIEnum GET_STATE

    - #### GET_TIME

          public static final APIEnum GET_TIME

    - #### GET_TRADES

          public static final APIEnum GET_TRADES

    - #### GET_LAST_TRADES

          public static final APIEnum GET_LAST_TRADES

    - #### GET_EXCHANGES

          public static final APIEnum GET_EXCHANGES

    - #### GET_EXCHANGES_BY_EXCHANGE_REQUEST

          public static final APIEnum GET_EXCHANGES_BY_EXCHANGE_REQUEST

    - #### GET_EXCHANGES_BY_OFFER

          public static final APIEnum GET_EXCHANGES_BY_OFFER

    - #### GET_LAST_EXCHANGES

          public static final APIEnum GET_LAST_EXCHANGES

    - #### GET_ALL_TRADES

          public static final APIEnum GET_ALL_TRADES

    - #### GET_ALL_EXCHANGES

          public static final APIEnum GET_ALL_EXCHANGES

    - #### GET_ASSET_TRANSFERS

          public static final APIEnum GET_ASSET_TRANSFERS

    - #### GET_ASSET_HISTORY

          public static final APIEnum GET_ASSET_HISTORY

    - #### GET_EXPECTED_ASSET_TRANSFERS

          public static final APIEnum GET_EXPECTED_ASSET_TRANSFERS

    - #### GET_EXPECTED_ASSET_DELETES

          public static final APIEnum GET_EXPECTED_ASSET_DELETES

    - #### GET_CURRENCY_TRANSFERS

          public static final APIEnum GET_CURRENCY_TRANSFERS

    - #### GET_EXPECTED_CURRENCY_TRANSFERS

          public static final APIEnum GET_EXPECTED_CURRENCY_TRANSFERS

    - #### GET_TRANSACTION

          public static final APIEnum GET_TRANSACTION

    - #### GET_TRANSACTION_BYTES

          public static final APIEnum GET_TRANSACTION_BYTES

    - #### GET_UNCONFIRMED_TRANSACTION_IDS

          public static final APIEnum GET_UNCONFIRMED_TRANSACTION_IDS

    - #### GET_UNCONFIRMED_TRANSACTIONS

          public static final APIEnum GET_UNCONFIRMED_TRANSACTIONS

    - #### GET_EXPECTED_TRANSACTIONS

          public static final APIEnum GET_EXPECTED_TRANSACTIONS

    - #### GET_ACCOUNT_CURRENT_ASK_ORDER_IDS

          public static final APIEnum GET_ACCOUNT_CURRENT_ASK_ORDER_IDS

    - #### GET_ACCOUNT_CURRENT_BID_ORDER_IDS

          public static final APIEnum GET_ACCOUNT_CURRENT_BID_ORDER_IDS

    - #### GET_ACCOUNT_CURRENT_ASK_ORDERS

          public static final APIEnum GET_ACCOUNT_CURRENT_ASK_ORDERS

    - #### GET_ACCOUNT_CURRENT_BID_ORDERS

          public static final APIEnum GET_ACCOUNT_CURRENT_BID_ORDERS

    - #### GET_ALL_OPEN_ASK_ORDERS

          public static final APIEnum GET_ALL_OPEN_ASK_ORDERS

    - #### GET_ALL_OPEN_BID_ORDERS

          public static final APIEnum GET_ALL_OPEN_BID_ORDERS

    - #### GET_BUY_OFFERS

          public static final APIEnum GET_BUY_OFFERS

    - #### GET_EXPECTED_BUY_OFFERS

          public static final APIEnum GET_EXPECTED_BUY_OFFERS

    - #### GET_SELL_OFFERS

          public static final APIEnum GET_SELL_OFFERS

    - #### GET_EXPECTED_SELL_OFFERS

          public static final APIEnum GET_EXPECTED_SELL_OFFERS

    - #### GET_OFFER

          public static final APIEnum GET_OFFER

    - #### GET_AVAILABLE_TO_BUY

          public static final APIEnum GET_AVAILABLE_TO_BUY

    - #### GET_AVAILABLE_TO_SELL

          public static final APIEnum GET_AVAILABLE_TO_SELL

    - #### GET_ASK_ORDER

          public static final APIEnum GET_ASK_ORDER

    - #### GET_ASK_ORDER_IDS

          public static final APIEnum GET_ASK_ORDER_IDS

    - #### GET_ASK_ORDERS

          public static final APIEnum GET_ASK_ORDERS

    - #### GET_BID_ORDER

          public static final APIEnum GET_BID_ORDER

    - #### GET_BID_ORDER_IDS

          public static final APIEnum GET_BID_ORDER_IDS

    - #### GET_BID_ORDERS

          public static final APIEnum GET_BID_ORDERS

    - #### GET_EXPECTED_ASK_ORDERS

          public static final APIEnum GET_EXPECTED_ASK_ORDERS

    - #### GET_EXPECTED_BID_ORDERS

          public static final APIEnum GET_EXPECTED_BID_ORDERS

    - #### GET_EXPECTED_ORDER_CANCELLATIONS

          public static final APIEnum GET_EXPECTED_ORDER_CANCELLATIONS

    - #### GET_ORDER_TRADES

          public static final APIEnum GET_ORDER_TRADES

    - #### GET_ACCOUNT_EXCHANGE_REQUESTS

          public static final APIEnum GET_ACCOUNT_EXCHANGE_REQUESTS

    - #### GET_EXPECTED_EXCHANGE_REQUESTS

          public static final APIEnum GET_EXPECTED_EXCHANGE_REQUESTS

    - #### GET_MINTING_TARGET

          public static final APIEnum GET_MINTING_TARGET

    - #### GET_ALL_SHUFFLINGS

          public static final APIEnum GET_ALL_SHUFFLINGS

    - #### GET_ACCOUNT_SHUFFLINGS

          public static final APIEnum GET_ACCOUNT_SHUFFLINGS

    - #### GET_ASSIGNED_SHUFFLINGS

          public static final APIEnum GET_ASSIGNED_SHUFFLINGS

    - #### GET_HOLDING_SHUFFLINGS

          public static final APIEnum GET_HOLDING_SHUFFLINGS

    - #### GET_SHUFFLING

          public static final APIEnum GET_SHUFFLING

    - #### GET_SHUFFLING_PARTICIPANTS

          public static final APIEnum GET_SHUFFLING_PARTICIPANTS

    - #### GET_PRUNABLE_MESSAGE

          public static final APIEnum GET_PRUNABLE_MESSAGE

    - #### GET_PRUNABLE_MESSAGES

          public static final APIEnum GET_PRUNABLE_MESSAGES

    - #### GET_ALL_PRUNABLE_MESSAGES

          public static final APIEnum GET_ALL_PRUNABLE_MESSAGES

    - #### VERIFY_PRUNABLE_MESSAGE

          public static final APIEnum VERIFY_PRUNABLE_MESSAGE

    - #### ISSUE_ASSET

          public static final APIEnum ISSUE_ASSET

    - #### ISSUE_CURRENCY

          public static final APIEnum ISSUE_CURRENCY

    - #### LEASE_BALANCE

          public static final APIEnum LEASE_BALANCE

    - #### LONG_CONVERT

          public static final APIEnum LONG_CONVERT

    - #### HEX_CONVERT

          public static final APIEnum HEX_CONVERT

    - #### PARSE_TRANSACTION

          public static final APIEnum PARSE_TRANSACTION

    - #### PLACE_ASK_ORDER

          public static final APIEnum PLACE_ASK_ORDER

    - #### PLACE_BID_ORDER

          public static final APIEnum PLACE_BID_ORDER

    - #### PUBLISH_EXCHANGE_OFFER

          public static final APIEnum PUBLISH_EXCHANGE_OFFER

    - #### RS_CONVERT

          public static final APIEnum RS_CONVERT

    - #### READ_MESSAGE

          public static final APIEnum READ_MESSAGE

    - #### SEND_MESSAGE

          public static final APIEnum SEND_MESSAGE

    - #### SEND_MONEY

          public static final APIEnum SEND_MONEY

    - #### SET_ACCOUNT_INFO

          public static final APIEnum SET_ACCOUNT_INFO

    - #### SET_ACCOUNT_PROPERTY

          public static final APIEnum SET_ACCOUNT_PROPERTY

    - #### DELETE_ACCOUNT_PROPERTY

          public static final APIEnum DELETE_ACCOUNT_PROPERTY

    - #### SET_ALIAS

          public static final APIEnum SET_ALIAS

    - #### SHUFFLING_CREATE

          public static final APIEnum SHUFFLING_CREATE

    - #### SHUFFLING_REGISTER

          public static final APIEnum SHUFFLING_REGISTER

    - #### SHUFFLING_PROCESS

          public static final APIEnum SHUFFLING_PROCESS

    - #### SHUFFLING_VERIFY

          public static final APIEnum SHUFFLING_VERIFY

    - #### SHUFFLING_CANCEL

          public static final APIEnum SHUFFLING_CANCEL

    - #### START_SHUFFLER

          public static final APIEnum START_SHUFFLER

    - #### STOP_SHUFFLER

          public static final APIEnum STOP_SHUFFLER

    - #### GET_SHUFFLERS

          public static final APIEnum GET_SHUFFLERS

    - #### DELETE_ALIAS

          public static final APIEnum DELETE_ALIAS

    - #### SIGN_TRANSACTION

          public static final APIEnum SIGN_TRANSACTION

    - #### START_FORGING

          public static final APIEnum START_FORGING

    - #### STOP_FORGING

          public static final APIEnum STOP_FORGING

    - #### GET_FORGING

          public static final APIEnum GET_FORGING

    - #### TRANSFER_ASSET

          public static final APIEnum TRANSFER_ASSET

    - #### TRANSFER_CURRENCY

          public static final APIEnum TRANSFER_CURRENCY

    - #### CAN_DELETE_CURRENCY

          public static final APIEnum CAN_DELETE_CURRENCY

    - #### DELETE_CURRENCY

          public static final APIEnum DELETE_CURRENCY

    - #### DIVIDEND_PAYMENT

          public static final APIEnum DIVIDEND_PAYMENT

    - #### SEARCH_DGS_GOODS

          public static final APIEnum SEARCH_DGS_GOODS

    - #### SEARCH_ASSETS

          public static final APIEnum SEARCH_ASSETS

    - #### SEARCH_CURRENCIES

          public static final APIEnum SEARCH_CURRENCIES

    - #### SEARCH_POLLS

          public static final APIEnum SEARCH_POLLS

    - #### SEARCH_ACCOUNTS

          public static final APIEnum SEARCH_ACCOUNTS

    - #### SEARCH_TAGGED_DATA

          public static final APIEnum SEARCH_TAGGED_DATA

    - #### UPLOAD_TAGGED_DATA

          public static final APIEnum UPLOAD_TAGGED_DATA

    - #### GET_ACCOUNT_TAGGED_DATA

          public static final APIEnum GET_ACCOUNT_TAGGED_DATA

    - #### GET_ALL_TAGGED_DATA

          public static final APIEnum GET_ALL_TAGGED_DATA

    - #### GET_CHANNEL_TAGGED_DATA

          public static final APIEnum GET_CHANNEL_TAGGED_DATA

    - #### GET_TAGGED_DATA

          public static final APIEnum GET_TAGGED_DATA

    - #### DOWNLOAD_TAGGED_DATA

          public static final APIEnum DOWNLOAD_TAGGED_DATA

    - #### GET_DATA_TAGS

          public static final APIEnum GET_DATA_TAGS

    - #### GET_DATA_TAG_COUNT

          public static final APIEnum GET_DATA_TAG_COUNT

    - #### GET_DATA_TAGS_LIKE

          public static final APIEnum GET_DATA_TAGS_LIKE

    - #### VERIFY_TAGGED_DATA

          public static final APIEnum VERIFY_TAGGED_DATA

    - #### CLEAR_UNCONFIRMED_TRANSACTIONS

          public static final APIEnum CLEAR_UNCONFIRMED_TRANSACTIONS

    - #### REQUEUE_UNCONFIRMED_TRANSACTIONS

          public static final APIEnum REQUEUE_UNCONFIRMED_TRANSACTIONS

    - #### REBROADCAST_UNCONFIRMED_TRANSACTIONS

          public static final APIEnum REBROADCAST_UNCONFIRMED_TRANSACTIONS

    - #### GET_ALL_WAITING_TRANSACTIONS

          public static final APIEnum GET_ALL_WAITING_TRANSACTIONS

    - #### GET_ALL_BROADCASTED_TRANSACTIONS

          public static final APIEnum GET_ALL_BROADCASTED_TRANSACTIONS

    - #### FULL_RESET

          public static final APIEnum FULL_RESET

    - #### POP_OFF

          public static final APIEnum POP_OFF

    - #### SCAN

          public static final APIEnum SCAN

    - #### LUCENE_REINDEX

          public static final APIEnum LUCENE_REINDEX

    - #### ADD_PEER

          public static final APIEnum ADD_PEER

    - #### BLACKLIST_PEER

          public static final APIEnum BLACKLIST_PEER

    - #### DUMP_PEERS

          public static final APIEnum DUMP_PEERS

    - #### GET_LOG

          public static final APIEnum GET_LOG

    - #### GET_STACK_TRACES

          public static final APIEnum GET_STACK_TRACES

    - #### RETRIEVE_PRUNED_DATA

          public static final APIEnum RETRIEVE_PRUNED_DATA

    - #### RETRIEVE_PRUNED_TRANSACTION

          public static final APIEnum RETRIEVE_PRUNED_TRANSACTION

    - #### SET_LOGGING

          public static final APIEnum SET_LOGGING

    - #### SHUTDOWN

          public static final APIEnum SHUTDOWN

    - #### TRIM_DERIVED_TABLES

          public static final APIEnum TRIM_DERIVED_TABLES

    - #### HASH

          public static final APIEnum HASH

    - #### FULL_HASH_TO_ID

          public static final APIEnum FULL_HASH_TO_ID

    - #### SET_PHASING_ONLY_CONTROL

          public static final APIEnum SET_PHASING_ONLY_CONTROL

    - #### GET_PHASING_ONLY_CONTROL

          public static final APIEnum GET_PHASING_ONLY_CONTROL

    - #### GET_ALL_PHASING_ONLY_CONTROLS

          public static final APIEnum GET_ALL_PHASING_ONLY_CONTROLS

    - #### DETECT_MIME_TYPE

          public static final APIEnum DETECT_MIME_TYPE

    - #### START_FUNDING_MONITOR

          public static final APIEnum START_FUNDING_MONITOR

    - #### STOP_FUNDING_MONITOR

          public static final APIEnum STOP_FUNDING_MONITOR

    - #### GET_FUNDING_MONITOR

          public static final APIEnum GET_FUNDING_MONITOR

    - #### DOWNLOAD_PRUNABLE_MESSAGE

          public static final APIEnum DOWNLOAD_PRUNABLE_MESSAGE

    - #### GET_SHARED_KEY

          public static final APIEnum GET_SHARED_KEY

    - #### SET_API_PROXY_PEER

          public static final APIEnum SET_API_PROXY_PEER

    - #### SEND_TRANSACTION

          public static final APIEnum SEND_TRANSACTION

    - #### GET_ASSET_DIVIDENDS

          public static final APIEnum GET_ASSET_DIVIDENDS

    - #### BLACKLIST_API_PROXY_PEER

          public static final APIEnum BLACKLIST_API_PROXY_PEER

    - #### GET_NEXT_BLOCK_GENERATORS

          public static final APIEnum GET_NEXT_BLOCK_GENERATORS

    - #### START_BUNDLER

          public static final APIEnum START_BUNDLER

    - #### STOP_BUNDLER

          public static final APIEnum STOP_BUNDLER

    - #### GET_BUNDLERS

          public static final APIEnum GET_BUNDLERS

    - #### BUNDLE_TRANSACTIONS

          public static final APIEnum BUNDLE_TRANSACTIONS

    - #### EXCHANGE_COINS

          public static final APIEnum EXCHANGE_COINS

    - #### CANCEL_COIN_EXCHANGE

          public static final APIEnum CANCEL_COIN_EXCHANGE

    - #### GET_COIN_EXCHANGE_ORDER

          public static final APIEnum GET_COIN_EXCHANGE_ORDER

    - #### GET_COIN_EXCHANGE_ORDER_IDS

          public static final APIEnum GET_COIN_EXCHANGE_ORDER_IDS

    - #### GET_COIN_EXCHANGE_ORDERS

          public static final APIEnum GET_COIN_EXCHANGE_ORDERS

    - #### GET_COIN_EXCHANGE_TRADES

          public static final APIEnum GET_COIN_EXCHANGE_TRADES

    - #### GET_COIN_EXCHANGE_TRADE

          public static final APIEnum GET_COIN_EXCHANGE_TRADE

    - #### GET_EXPECTED_COIN_EXCHANGE_ORDERS

          public static final APIEnum GET_EXPECTED_COIN_EXCHANGE_ORDERS

    - #### GET_EXPECTED_COIN_EXCHANGE_ORDER_CANCELLATIONS

          public static final APIEnum GET_EXPECTED_COIN_EXCHANGE_ORDER_CANCELLATIONS

    - #### GET_BUNDLER_RATES

          public static final APIEnum GET_BUNDLER_RATES

    - #### GET_FXT_TRANSACTION

          public static final APIEnum GET_FXT_TRANSACTION

    - #### GET_BALANCES

          public static final APIEnum GET_BALANCES

    - #### SIMULATE_COIN_EXCHANGE

          public static final APIEnum SIMULATE_COIN_EXCHANGE

    - #### GET_EFFECTIVE_BALANCE

          public static final APIEnum GET_EFFECTIVE_BALANCE

    - #### BLACKLIST_BUNDLER

          public static final APIEnum BLACKLIST_BUNDLER

    - #### GET_ALL_BUNDLER_RATES

          public static final APIEnum GET_ALL_BUNDLER_RATES

    - #### EVALUATE_EXPRESSION

          public static final APIEnum EVALUATE_EXPRESSION

    - #### PARSE_PHASING_PARAMS

          public static final APIEnum PARSE_PHASING_PARAMS

    - #### SET_PHASING_ASSET_CONTROL

          public static final APIEnum SET_PHASING_ASSET_CONTROL

    - #### GET_PHASING_ASSET_CONTROL

          public static final APIEnum GET_PHASING_ASSET_CONTROL

    - #### INCREASE_ASSET_SHARES

          public static final APIEnum INCREASE_ASSET_SHARES

    - #### GET_EXECUTED_TRANSACTIONS

          public static final APIEnum GET_EXECUTED_TRANSACTIONS

    - #### ADD_BUNDLING_RULE

          public static final APIEnum ADD_BUNDLING_RULE

    - #### GET_BUNDLING_OPTIONS

          public static final APIEnum GET_BUNDLING_OPTIONS

    - #### PROCESS_VOUCHER

          public static final APIEnum PROCESS_VOUCHER

    - #### SET_CONTRACT_REFERENCE

          public static final APIEnum SET_CONTRACT_REFERENCE

    - #### DELETE_CONTRACT_REFERENCE

          public static final APIEnum DELETE_CONTRACT_REFERENCE

    - #### GET_CONTRACT_REFERENCES

          public static final APIEnum GET_CONTRACT_REFERENCES

    - #### CALCULATE_FEE

          public static final APIEnum CALCULATE_FEE

    - #### GET_ASSET_PROPERTIES

          public static final APIEnum GET_ASSET_PROPERTIES

    - #### SET_ASSET_PROPERTY

          public static final APIEnum SET_ASSET_PROPERTY

    - #### DELETE_ASSET_PROPERTY

          public static final APIEnum DELETE_ASSET_PROPERTY

    - #### GET_HASHED_SECRET_PHASED_TRANSACTIONS

          public static final APIEnum GET_HASHED_SECRET_PHASED_TRANSACTIONS

    - #### SPLIT_SECRET

          public static final APIEnum SPLIT_SECRET

    - #### COMBINE_SECRET

          public static final APIEnum COMBINE_SECRET

    - #### MANAGE_PEERS_NETWORKING

          public static final APIEnum MANAGE_PEERS_NETWORKING

  - ### Method Detail

    - #### values

          public static APIEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (APIEnum c : APIEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static APIEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromName

          public static APIEnum fromName(java.lang.String name)

    - #### getName

          public java.lang.String getName()

    - #### getHandler

          public APIServlet.APIRequestHandler getHandler()

    - #### base64StringToEnumSet

          public static java.util.EnumSet<APIEnum> base64StringToEnumSet(java.lang.String apiSetBase64)

    - #### enumSetToBase64String

          public static java.lang.String enumSetToBase64String(java.util.EnumSet<APIEnum> apiSet)